### Method

# Meta Display supports_extended_barriers

#### Declaration [src]

    gboolean
    meta_display_supports_extended_barriers (
      MetaDisplay* display
    )

#### Description

No description available.

#### Return value

Type: `gboolean`

Whether pointer barriers can be supported.

When running as an X compositor the X server needs XInput 2 version 2.3. When running as a display server it is supported when running on the native backend.

Clients should use this method to determine whether their interfaces should depend on new barrier features.